FROM alpine:{{ alpine_version }}

ARG USER_NAME
ARG USER_PID
ARG GROUP_PID
ARG USER_PASSWORD

RUN apk update && \ 
	apk add openssh \
			pwgen \
			borgbackup

COPY entrypoint.sh /entrypoint.sh
COPY ssh_config /etc/ssh/ssh_config
COPY sshd_config /etc/ssh/sshd_config 

RUN chmod +x /entrypoint.sh

EXPOSE 22

ENTRYPOINT ["/entrypoint.sh"]
CMD ["/usr/sbin/sshd","-D", "-e"]
